API ReferenceSubscriptions
List all subscriptions
GET
/v1/subscriptionsAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Query Parameters
cursor?string
Pagination cursor for next page
limit?integer
Maximum number of items to return
Default
20Range
1 <= value <= 100channelId?string
Filter by channel ID
status?string
Filter by subscription status
Value in
"active" | "paused" | "error"Response Body
application/json
application/json
curl -X GET "https://api.npayload.com/v1/subscriptions"{
"data": [
{
"id": "string",
"channelId": "string",
"name": "string",
"webhookUrl": "http://example.com",
"status": "active",
"eventTypes": [
"string"
],
"retryPolicy": {
"maxRetries": 5,
"initialDelay": 1000,
"maxDelay": 3600000,
"backoffMultiplier": 2
},
"headers": {
"property1": "string",
"property2": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"cursor": "string",
"hasMore": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}Was this page helpful?